FreeMat

- Main Page
- Related Pages

vtkImageRenderManager

Section: Visualization Toolkit Parallel Classes

# Usage

vtkImageRenderManager is a subclass of vtkParallelRenderManager that uses RGBA compositing (blending) to do parallel rendering. This is the exact opposite of vtkCompositeRenderManager. It actually does nothing special. It relies on the rendering pipeline to be initialized with a vtkCompositeRGBAPass. Compositing makes sense only for renderers in layer 0.

To create an instance of class vtkImageRenderManager, simply invoke its constructor as follows

      obj = vtkImageRenderManager

# Methods

The class vtkImageRenderManager has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageRenderManager class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageRenderManager = obj.NewInstance ()`
- `vtkImageRenderManager = obj.SafeDownCast (vtkObject o)`